Digi Power X Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/digi-power-x-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756598400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.digipowerx.com/press-releases/fe7hjgnaqt51ovfijyo84m0v",
    "holding_balance": 85.0,
    "holding_net_change": 24.0,
    "transaction_value_usd": 2597145.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.digipowerx.com/press-releases/gh4klaqi6yw8xvi6rvyu0e03",
    "holding_balance": 100.0,
    "holding_net_change": 15.0,
    "transaction_value_usd": 1711898.4,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1761868800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.digipowerx.com/press-releases/oxdgsr8j9qcy7mhnq8zjacso",
    "holding_balance": 112.0,
    "holding_net_change": 12.0,
    "transaction_value_usd": 1314636.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    112.0
  ],
  [
    1790899200000,
    112.0
  ],
  [
    1790985600000,
    112.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    9357281.92
  ],
  [
    1790899200000,
    9495676.96
  ],
  [
    1790985600000,
    9463619.200000001
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 4.09,
    "date": "2026-09-30",
    "high": 4.39,
    "open": 4.26,
    "close": 4.1,
    "volume": 1652578
  },
  {
    "low": 3.88,
    "date": "2026-10-01",
    "high": 4.15,
    "open": 4.12,
    "close": 3.97,
    "volume": 2462207
  },
  {
    "low": 3.82,
    "date": "2026-10-02",
    "high": 4.22,
    "open": 4.12,
    "close": 3.84,
    "volume": 2959580
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.06,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.05
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 11.95,
  "six_month_return": 73.76,
  "three_month_return": -18.99
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/digi-power-x-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 2.4,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}